/**
 * 3.0开户版本上传身份证照片
 */
function submit(){
    try {
        if (app == "Android") {
            //安卓调取相机特殊处理
            JSObject.showAndroidMask(0);
        }
    } catch (e) {
    }
	commonAjax(submitIdInfo);
}
var mobilePhoneNumber = $("#phoneNumber").val();
var base64Zheng = null;
var base64Fan = null;
var passportBase64 = null;

function uploadZheng(){
    var file = $("#zheng").prop('files')[0];
    
    // 图片方向角
    var Orientation = null;
    //获取照片方向角属性
    EXIF.getData(file, function () {
        EXIF.getAllTags(this);
        Orientation = EXIF.getTag(this, 'Orientation');
        
        var reader = new FileReader();
        reader.readAsDataURL(file);
        reader.onload = function(e){　　
        	compressImage(Orientation,e.target.result,{width : 500}, function(base){
        		//$("#zhengShow").attr("src",base);
        		base64Zheng = base.split("base64,")[1];
        		//console.log("压缩后：" + base.length / 1024);　　　
        		//$("#upz").text("点击重新上传身份证正面");
        	})
        };
    });
    
};
function uploadFan(){
	var file = $("#fan").prop('files')[0];
	 // 图片方向角
    var Orientation = null;
    //获取照片方向角属性
    EXIF.getData(file, function () {
        EXIF.getAllTags(this);
        Orientation = EXIF.getTag(this, 'Orientation');
        
        var reader = new FileReader();
        reader.readAsDataURL(file);
        reader.onload = function(e){
        	//console.log("压缩前：" + e.target.result.length / 1024);　　　　
        	compressImage(Orientation,e.target.result,{width : 500}, function(base){
    			//$("#fanShow").attr("src",base);
    			base64Fan = base.split("base64,")[1];
    			//console.log("压缩后：" + base.length / 1024);
    			//$("#upf").text("点击重新上传身份证反面");
    		})
        };
    });
	
};
function uploadHuzhao(){
    var file = $("#huzhao").prop('files')[0];

    // 图片方向角
    var Orientation = null;
    //获取照片方向角属性
    EXIF.getData(file, function () {
        EXIF.getAllTags(this);
        Orientation = EXIF.getTag(this, 'Orientation');

        var reader = new FileReader();
        reader.readAsDataURL(file);
        reader.onload = function(e){
            compressImage(Orientation,e.target.result,{width : 500}, function(base){
                //$("#zhengShow").attr("src",base);
                passportBase64 = base.split("base64,")[1];
                //console.log("压缩后：" + base.length / 1024);　　　
                //$("#upz").text("点击重新上传身份证正面");
            })
        };
    });

};




function submitIdInfo() {
	var cardType = $("#card_type").text();
    var type = $("#card_type_id").val();
	// 接口参数
	if(!base64Zheng && $("#zhengShow").hasClass("default")){
		//如果还是默认图片
		toast("请上传身份证正面");
		return;
	}
	if(!base64Fan && $("#fanShow").hasClass("default")){
		//如果还是默认图片
        toast("请上传身份证反面");
		return;
	}
	if(cardType==""){
        $(".upload_img").show();
        $(".cover").show();
        return;
    }
    //正面照为空说明没有上传过图片，需要进行照片有效性的校验
	if(front==""){
        if(type=="1"){
            if (!base64Zheng) {
                base64Zheng = $("#zhengShow").attr("src");
                toast("请上传身份证正面照片");
                return;
            }
            if (!base64Fan) {
                base64Fan = $("#fanShow").attr("src");
                toast("请上传身份证反面照片");
                return;
            }
        }else{
            if(!passportBase64){
                toast("请上传护照照片");
                return;
            }
            base64Zheng = passportBase64;
        }
	}else{
		if(!base64Zheng){
			base64Zheng = front;
		}
		if(!base64Fan){
			base64Fan = reverse;
		}
		if(idtype==2 && !passportBase64){
			base64Zheng = front;
		}else if(idtype==2 && passportBase64){
			base64Zheng = passportBase64;
		}
	}
    $(".waiting_load").show();
	// 固定参数
	var timestamp = Date.parse(new Date());
	var keyCode = hex_md5(mobilePhoneNumber + timestamp);
	var browser = getBrowserInfo().join(",");
	var uuid = guid();
	var Os = detectOS();
	// 校验验证码 请求data
	var reqData = JSON.stringify({
		"header" : {
			"version" : 3,
			"imei" : uuid,
			"key_code" : keyCode,
			"user_name" : mobilePhoneNumber,
			"user_type" : 1,
			"auth_code" : "",
			"system_time" : timestamp,
			//"area_code" : areaCountryCode,
			"ua" : {
				"platform" : "WEB",
				"model" : browser,
				"os_version" : Os,// 操作系统
				"width" : "375",
				"height" : "667",
				"app_version" : globalConfig.version,
				"language" : "zh_CN",
				"trader" : "mining_p",
				"channel" : globalConfig.defaultChannel,
				"channel_open" : getChannelCode() || globalConfig.defaultChannelOpen,
				"activity" : getActivity() || globalConfig.defaultActivity
			},
		},
		"request_data" : {
			"front" : base64Zheng,
			"reverse" : base64Fan,
			"phone_number" : mobilePhoneNumber,
			"id_type":type,
			"account_id":$("#accountId").val(),
			"tax_state":$("#id_type").val()
		}
	})

	var reqData = aesEncode(reqData, globalConfig.paramAesKey);
	var t = showOverTimeTips();
	$.ajax({
		url : "../accounth5v3/submitIDPhotos",
		type : 'POST',
		data : reqData.toString(),
		async: false,
		dataType : 'json',
		contentType : "application/json",
		success : function(data) {
            // $(".waiting_load").hide();
			if (data.header.response_code == 0) {
				var timer = null;
				timer = setTimeout(function () {
					clearTimeout(timer);
					timer = null;
                    window.location.href = getOpenAccountV3Url("HK_5");
                },900)

			}else {
                toast(getErrorMessage(data.header));
			}
		},
		error : function(data) {
		}
	});
}
